Subject: Re: [PATCH/RFC (take 2)] gitweb: New improved patchset view

From: Jakub Narebski <[email-masked]>
Date: Mon, 30 Oct 2006 23:39:54 +0100

Edgar Toernig wrote:
> Jakub Narebski wrote:
>>
>> I'm just saying that with HTML diffs, presented via gitweb in graphical
>> web browser, you have more possibilities, more formatting to use.
> 
> It would be nice though, when the gitweb output would be readable
> on non css-capable browsers (i.e. w3m) too.  At the moment, gitweb
> is mostly usable - the only problematic case is code and diffs.
> These are presented via div-tags so in a non-css browser, all spaces
> are collapsed thereby removing all indentation.  Couldn't code
> fragments be presented via (styled) pre-tags for backward compatibility?
> Pretty please :)

Well, we replaced using s/ /&nbsp;/g with .pre class woth white-space: pre.
Perhaps we can go halfway, and add <pre>...</pre> wrapping line.
 
> Btw, while the css version looks nice, Opera seems to have extreme
> performance problems with gitweb's project page when there are a lot
> of repositories.  I.e. trying to view http://gitweb.freedesktop.org/
> brings my system to its knees.  Turning off style sheets cures it
> but then diffs are unusable ...

Strange. It's just a simple table. Could you and would you be able to
debug it further (e.g. by bisecting CSS)?

-- 
Jakub Narebski